Subject: Re: 23.1.50; Buffer-modified confirmation goes to wrong frame in daemon mode

From: Chong Yidong <[email-masked]>
Date: Sun, 28 Jun 2009 23:29:35 -0400

> In daemon/client mode "C-x #" (server-edit) quits too early from its
> frame and leaves the confirm "Buffer foo modified; kill anyway? (yes or
> no)" in wrong frame's minibuffer.
>
> Quite obviously the question "Buffer foo modified; kill anyway? (yes or
> no)" should be displayed in the frame of the buffer "foo" before closing
> the frame.

I don't see why we need to prompt twice, so in this case it should be OK
to suppress the usual kill-buffer prompt.  I've checked in a fix for
this into the trunk.